com.sun.jna.platform.win32

## Interface DdemlUtil.PokeHandler

Enclosing class:
  DdemlUtil

    public static interface DdemlUtil.PokeHandler

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `onPoke(int transactionType, int dataFormat, Ddeml.HCONV hconv, Ddeml.HSZ topic, Ddeml.HSZ item, Ddeml.HDDEDATA hdata)` A client uses the XTYP_POKE transaction to send unsolicited data to the server.

### Method Detail

#### onPoke

    int onPoke(int transactionType,
               int dataFormat,
               Ddeml.HCONV hconv,
               Ddeml.HSZ topic,
               Ddeml.HSZ item,
               Ddeml.HDDEDATA hdata)

A client uses the XTYP_POKE transaction to send unsolicited data to the server. A Dynamic Data Exchange (DDE) server callback function, DdeCallback, receives this transaction when a client specifies XTYP_POKE in the DdeClientTransaction function.

Parameters:
  `transactionType` - uType - The transaction type.
  `dataFormat` - uFmt - The format of the data sent from the server.
  `hconv` - A handle to the conversation.
  `topic` - hsz1 - A handle to the topic name.
  `item` - hsz2 - A handle to the item name.
  `hdata` - - A handle to the data that the client is sending to the server.
Returns:
  A server callback function should return the DDE_FACK flag if it processes this transaction, the DDE_FBUSY flag if it is too busy to process this transaction, or the DDE_FNOTPROCESSED flag if it rejects this transaction.

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.